"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapToEventData = void 0;
const get_source_1 = require("./get-source");
const _ = require("lodash");
const set_source_1 = require("./set-source");
const mapToEventData = (event, method, args) => {
    const source = (0, get_source_1.getSource)(event);
    let data;
    if (_.isArray(source)) {
        data = source.map(value => {
            const clonedArgs = _.cloneDeep(args);
            clonedArgs.unshift(value);
            return method(...clonedArgs);
        });
    }
    else {
        args.unshift(source);
        data = method(...args);
    }
    (0, set_source_1.setSource)(event, data);
};
exports.mapToEventData = mapToEventData;
//# sourceMappingURL=map-to-event-data.js.map